# Uses of Class
org.springframework.core.annotation.SynthesizingMethodParameter

Packages that use SynthesizingMethodParameter
Package
Description
org.springframework.core.annotation
Core support package for annotations, meta-annotations, and merged annotations with attribute overrides.

## Uses of SynthesizingMethodParameter in org.springframework.core.annotation

Subclasses of SynthesizingMethodParameter in org.springframework.core.annotation
Modifier and Type
Class
Description
`protected class`
`AnnotatedMethod.AnnotatedMethodParameter`
A MethodParameter with AnnotatedMethod-specific behavior.
Methods in org.springframework.core.annotation that return SynthesizingMethodParameter
Modifier and Type
Method
Description
`SynthesizingMethodParameter`
SynthesizingMethodParameter.`clone()`
`static SynthesizingMethodParameter`
SynthesizingMethodParameter.`forExecutable(Executable executable, int parameterIndex)`
Create a new SynthesizingMethodParameter for the given method or constructor.
`static SynthesizingMethodParameter`
SynthesizingMethodParameter.`forParameter(Parameter parameter)`
Create a new SynthesizingMethodParameter for the given parameter descriptor.
Constructors in org.springframework.core.annotation with parameters of type SynthesizingMethodParameter
Modifier
Constructor
Description
`protected`
`SynthesizingMethodParameter(SynthesizingMethodParameter original)`
Copy constructor, resulting in an independent `SynthesizingMethodParameter` based on the same metadata and cache state that the original object was in.